Subject: Re: bug#35224: [PATCH] include indentation size in .dir-locals

From: Konstantin Kharlamov <[email-masked]>
Date: Thu, 11 Apr 2019 16:56:44 +0300

On Чт, Apr 11, 2019 at 11:58, Basil L. Contovounesios 
<[email-masked]> wrote:
> Konstantin Kharlamov <[email-masked]> writes:
> 
>>  On Чт, Apr 11, 2019 at 11:26, Basil L. Contovounesios 
>> <[email-masked]> wrote:
>> 
>>>  Globally setting c-basic-offset overrides the cc-mode style 
>>> inheritance
>>>  system.  There are various ways to customise this variable in a 
>>> more
>>>  granular way, such as defining a custom style which inherits from a
>>>  built-in style, or setting c-basic-offset locally in a mode hook.
>>>  For details, see (info "(ccmode) Config Basics").
>> 
>>  Oh, okay, so this works as expected. But since googling "change 
>> indentation
>>  size" always gives using specifically c-basic-offset (e.g.
>>  
>> https://stackoverflow.com/questions/14939608/how-to-change-emacs-struct-indents-from-4-to-2-spaces),
>>  I guess it's safe to assume most of Emacs users has it changed. So 
>> it's useful
>>  to add this to dir-locals anyway.
> 
> IMO, that's a bug in the configuration of those users because they're
> overriding how cc-mode works, and the cc-mode manual describes in 
> detail
> the various ways to customise indentation.  So I don't see a need to
> change the Emacs dir-locals-file to accommodate this use-case.

Okay, but we can't ignore the fact that such usecase exists and is 
widely employed (if needed, I can throw more links to these advices on 
stackexchange site).

So let me ask: is there a downside to making this change? Because if 
there's none then the change is an improvement, it's that simple.

> But that's just one opinion, and I'm not familiar with prevailing 
> policy
> on what to add to the Emacs dir-locals-file.
> 
> --
> Basil